Subject: Re: pci_read_config_byte in Hardhat CDK1.2 for powerpc

From: "Tod E. Kurt" <[email-masked]>
Date: Thu, 19 Oct 2000 10:48:59 -0700

Zhaobin Zhu wrote:
>
> "Tod E. Kurt" wrote:
>
> > Zhaobin Zhu wrote:
> > >
> > > Hi,
> > >
> > > Anybody knows where the function "pci_read_config_byte(..)" is defined ?
> >
> > Again, use 'grep' in '/usr/include/linux/*.h'.
> >
> > I did that and found it in '/usr/include/linux/pci.h'.
>
> Yes,  pci_read_config_byte(..) is declared in include/linux/pci.h, but I
> can't find
> its C source anywhere. I do find it in System.map.

As someone else mentioned, it (along with most all the other functions
declared in 'pci.h') is is '/usr/src/linux/drivers/pci/pci.c'.  It wraps
'pcibios_read_config_byte', which is defined in
'/usr/src/linux/arch/i386/kernel/bios32.c' for PCs and in various files
(depending on specific arch) in '/usr/src/linux/arch/ppc/kernel'.

-=tod

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/